Index: branches/version-2_13_0/data/module/Calendar/Engine/UnixTS.php
===================================================================
--- branches/version-2_13_0/data/module/Calendar/Engine/UnixTS.php	(revision 23126)
+++ branches/version-2_13_0/data/module/Calendar/Engine/UnixTS.php	(revision 23143)
@@ -1,51 +1,32 @@
 <?php
 /* vim: set expandtab tabstop=4 shiftwidth=4: */
-
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2002 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/3_0.txt.                                  |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Harry Fuecks <hfuecks@phppatterns.com>                      |
+// +----------------------------------------------------------------------+
+//
+// $Id: UnixTS.php,v 1.9 2004/08/20 20:00:55 quipo Exp $
+//
 /**
- * Contains the Calendar_Engine_UnixTS class
- *
- * PHP versions 4 and 5
- *
- * LICENSE: Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- * 3. The name of the author may not be used to endorse or promote products
- *    derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
- * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY
- * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
- * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
- * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @copyright 2003-2007 Harry Fuecks
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @version   CVS: $Id: UnixTS.php 269074 2008-11-15 21:21:42Z quipo $
- * @link      http://pear.php.net/package/Calendar
+ * @package Calendar
+ * @version $Id: UnixTS.php,v 1.9 2004/08/20 20:00:55 quipo Exp $
  */
-
 /**
  * Performs calendar calculations based on the PHP date() function and
  * Unix timestamps (using PHP's mktime() function).
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @copyright 2003-2007 Harry Fuecks
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @link      http://pear.php.net/package/Calendar
- * @access    protected
+ * @package Calendar
+ * @access protected
  */
 class Calendar_Engine_UnixTS /* implements Calendar_Engine_Interface */
@@ -68,7 +49,5 @@
      * Uses a static variable to prevent date() being used twice
      * for a date which is already known
-     *
-     * @param int $stamp Unix timestamp
-     *
+     * @param int Unix timestamp
      * @return array
      * @access protected
@@ -78,5 +57,5 @@
         static $stamps = array();
         if ( !isset($stamps[$stamp]) ) {
-            $date = @date('Y n j H i s t W w', $stamp);
+            $date = @date('Y n j H i s t W w',$stamp);
             $stamps[$stamp] = sscanf($date, "%d %d %d %d %d %d %d %d %d");
         }
@@ -86,7 +65,5 @@
     /**
      * Returns a numeric year given a timestamp
-     *
-     * @param int $stamp Unix timestamp
-     *
+     * @param int Unix timestamp
      * @return int year (e.g. 2003)
      * @access protected
@@ -100,7 +77,5 @@
     /**
      * Returns a numeric month given a timestamp
-     *
-     * @param int $stamp Unix timestamp
-     *
+     * @param int Unix timestamp
      * @return int month (e.g. 9)
      * @access protected
@@ -114,7 +89,5 @@
     /**
      * Returns a numeric day given a timestamp
-     *
-     * @param int $stamp Unix timestamp
-     *
+     * @param int Unix timestamp
      * @return int day (e.g. 15)
      * @access protected
@@ -128,7 +101,5 @@
     /**
      * Returns a numeric hour given a timestamp
-     *
-     * @param int $stamp Unix timestamp
-     *
+     * @param int Unix timestamp
      * @return int hour (e.g. 13)
      * @access protected
@@ -142,7 +113,5 @@
     /**
      * Returns a numeric minute given a timestamp
-     *
-     * @param int $stamp Unix timestamp
-     *
+     * @param int Unix timestamp
      * @return int minute (e.g. 34)
      * @access protected
@@ -156,7 +125,5 @@
     /**
      * Returns a numeric second given a timestamp
-     *
-     * @param int $stamp Unix timestamp
-     *
+     * @param int Unix timestamp
      * @return int second (e.g. 51)
      * @access protected
@@ -170,12 +137,10 @@
     /**
      * Returns a timestamp
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (13)
-     * @param int $h hour (13)
-     * @param int $i minute (34)
-     * @param int $s second (53)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int day (13)
+     * @param int hour (13)
+     * @param int minute (34)
+     * @param int second (53)
      * @return int Unix timestamp
      * @access protected
@@ -184,5 +149,5 @@
     {
         static $dates = array();
-        if (!isset($dates[$y][$m][$d][$h][$i][$s])) {
+        if ( !isset($dates[$y][$m][$d][$h][$i][$s]) ) {
             $dates[$y][$m][$d][$h][$i][$s] = @mktime($h, $i, $s, $m, $d, $y);
         }
@@ -192,5 +157,4 @@
     /**
      * The upper limit on years that the Calendar Engine can work with
-     *
      * @return int (2037)
      * @access protected
@@ -203,5 +167,4 @@
     /**
      * The lower limit on years that the Calendar Engine can work with
-     *
      * @return int (1970 if it's Windows and 1902 for all other OSs)
      * @access protected
@@ -214,9 +177,6 @@
     /**
      * Returns the number of months in a year
-     *
-     * @param int $y year
-     *
      * @return int (12)
-     * @access protected
+    * @access protected
      */
     function getMonthsInYear($y=null)
@@ -227,8 +187,6 @@
     /**
      * Returns the number of days in a month, given year and month
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     *
+     * @param int year (2003)
+     * @param int month (9)
      * @return int days in month
      * @access protected
@@ -236,6 +194,6 @@
     function getDaysInMonth($y, $m)
     {
-        $stamp = Calendar_Engine_UnixTS::dateToStamp($y, $m, 1);
-        $date  = Calendar_Engine_UnixTS::stampCollection($stamp);
+        $stamp = Calendar_Engine_UnixTS::dateToStamp($y,$m,1);
+        $date = Calendar_Engine_UnixTS::stampCollection($stamp);
         return $date[6];
     }
@@ -244,8 +202,6 @@
      * Returns numeric representation of the day of the week in a month,
      * given year and month
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     *
+     * @param int year (2003)
+     * @param int month (9)
      * @return int from 0 to 6
      * @access protected
@@ -253,6 +209,6 @@
     function getFirstDayInMonth($y, $m)
     {
-        $stamp = Calendar_Engine_UnixTS::dateToStamp($y, $m, 1);
-        $date  = Calendar_Engine_UnixTS::stampCollection($stamp);
+        $stamp = Calendar_Engine_UnixTS::dateToStamp($y,$m,1);
+        $date = Calendar_Engine_UnixTS::stampCollection($stamp);
         return $date[8];
     }
@@ -260,13 +216,11 @@
     /**
      * Returns the number of days in a week
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int day (4)
      * @return int (7)
      * @access protected
      */
-    function getDaysInWeek($y=null, $m=null, $d=null)
+    function getDaysInWeek($y=NULL, $m=NULL, $d=NULL)
     {
         return 7;
@@ -275,9 +229,7 @@
     /**
      * Returns the number of the week in the year (ISO-8601), given a date
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int day (4)
      * @return int week number
      * @access protected
@@ -285,6 +237,6 @@
     function getWeekNInYear($y, $m, $d)
     {
-        $stamp = Calendar_Engine_UnixTS::dateToStamp($y, $m, $d);
-        $date  = Calendar_Engine_UnixTS::stampCollection($stamp);
+        $stamp = Calendar_Engine_UnixTS::dateToStamp($y,$m,$d);
+        $date = Calendar_Engine_UnixTS::stampCollection($stamp);
         return $date[7];
     }
@@ -292,10 +244,8 @@
     /**
      * Returns the number of the week in the month, given a date
-     *
-     * @param int $y        year (2003)
-     * @param int $m        month (9)
-     * @param int $d        day (4)
-     * @param int $firstDay first day of the week (default: monday)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int day (4)
+     * @param int first day of the week (default: monday)
      * @return int week number
      * @access protected
@@ -303,5 +253,5 @@
     function getWeekNInMonth($y, $m, $d, $firstDay=1)
     {
-        $weekEnd = (0 == $firstDay) ? $this->getDaysInWeek()-1 : $firstDay-1;
+        $weekEnd = ($firstDay == 0) ? $this->getDaysInWeek()-1 : $firstDay-1;
         $end_of_week = 1;
         while (@date('w', @mktime(0, 0, 0, $m, $end_of_week, $y)) != $weekEnd) {
@@ -318,13 +268,11 @@
     /**
      * Returns the number of weeks in the month
-     *
-     * @param int $y        year (2003)
-     * @param int $m        month (9)
-     * @param int $firstDay first day of the week (default: monday)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int first day of the week (default: monday)
      * @return int weeks number
      * @access protected
      */
-    function getWeeksInMonth($y, $m, $firstDay = 1)
+    function getWeeksInMonth($y, $m, $firstDay=1)
     {
         $FDOM = $this->getFirstDayInMonth($y, $m);
@@ -346,9 +294,7 @@
     /**
      * Returns the number of the day of the week (0=sunday, 1=monday...)
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int day (4)
      * @return int weekday number
      * @access protected
@@ -356,5 +302,5 @@
     function getDayOfWeek($y, $m, $d)
     {
-        $stamp = Calendar_Engine_UnixTS::dateToStamp($y, $m, $d);
+        $stamp = Calendar_Engine_UnixTS::dateToStamp($y,$m,$d);
         $date = Calendar_Engine_UnixTS::stampCollection($stamp);
         return $date[8];
@@ -363,13 +309,11 @@
     /**
      * Returns a list of integer days of the week beginning 0
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int day (4)
      * @return array (0,1,2,3,4,5,6) 1 = Monday
      * @access protected
      */
-    function getWeekDays($y=null, $m=null, $d=null)
+    function getWeekDays($y=NULL, $m=NULL, $d=NULL)
     {
         return array(0, 1, 2, 3, 4, 5, 6);
@@ -378,13 +322,11 @@
     /**
      * Returns the default first day of the week
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int day (4)
      * @return int (default 1 = Monday)
      * @access protected
      */
-    function getFirstDayOfWeek($y=null, $m=null, $d=null)
+    function getFirstDayOfWeek($y=NULL, $m=NULL, $d=NULL)
     {
         return 1;
@@ -393,13 +335,8 @@
     /**
      * Returns the number of hours in a day
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     *
      * @return int (24)
      * @access protected
      */
-    function getHoursInDay($y=null, $m=null, $d=null)
+    function getHoursInDay($y=null,$m=null,$d=null)
     {
         return 24;
@@ -408,14 +345,8 @@
     /**
      * Returns the number of minutes in an hour
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     * @param int $h hour
-     *
      * @return int (60)
      * @access protected
      */
-    function getMinutesInHour($y=null, $m=null, $d=null, $h=null)
+    function getMinutesInHour($y=null,$m=null,$d=null,$h=null)
     {
         return 60;
@@ -424,39 +355,10 @@
     /**
      * Returns the number of seconds in a minutes
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     * @param int $h hour
-     * @param int $i minute
-     *
      * @return int (60)
      * @access protected
      */
-    function getSecondsInMinute($y=null, $m=null, $d=null, $h=null, $i=null)
+    function getSecondsInMinute($y=null,$m=null,$d=null,$h=null,$i=null)
     {
         return 60;
-    }
-
-    /**
-     * Checks if the given day is the current day
-     *
-     * @param mixed $stamp Any timestamp format recognized by Pear::Date
-     *
-     * @return boolean
-     * @access protected
-     */
-    function isToday($stamp)
-    {
-        static $today = null;
-        if (is_null($today)) {
-            $today_date = @date('Y n j');
-            $today = sscanf($today_date, '%d %d %d');
-        }
-        $date = Calendar_Engine_UnixTS::stampCollection($stamp);
-        return (   $date[2] == $today[2]
-                && $date[1] == $today[1]
-                && $date[0] == $today[0]
-        );
     }
 }
